<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FBEscapedFunctionHelper (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBEscapedFunctionHelper (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedCallParser.html" title="class in org.firebirdsql.jdbc.escape"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedParser.html" title="class in org.firebirdsql.jdbc.escape"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html" target="_top">Frames</a></li>
<li><a href="FBEscapedFunctionHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc.escape</div>
<h2 title="Class FBEscapedFunctionHelper" class="title">Class FBEscapedFunctionHelper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.escape.FBEscapedFunctionHelper</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBEscapedFunctionHelper</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Helper class for escaped functions.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#FBEscapedFunctionHelper--">FBEscapedFunctionHelper</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#abs-java.lang.String:A-">abs</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>abs</code> UDF function.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#acos-java.lang.String:A-">acos</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>acos</code> UDF function.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#asin-java.lang.String:A-">asin</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>asin</code> UDF function.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#atan-java.lang.String:A-">atan</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>atan</code> UDF function.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#atan2-java.lang.String:A-">atan2</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>atan2</code> UDF function.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#ceiling-java.lang.String:A-">ceiling</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>ceiling</code> UDF function.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#convertTemplate-java.lang.String-org.firebirdsql.jdbc.escape.FBEscapedParser.EscapeParserMode-">convertTemplate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;functionCall,
               <a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedParser.EscapeParserMode.html" title="enum in org.firebirdsql.jdbc.escape">FBEscapedParser.EscapeParserMode</a>&nbsp;mode)</code>
<div class="block">Convert escaped function call using function template.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#cos-java.lang.String:A-">cos</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>cos</code> UDF function.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#cot-java.lang.String:A-">cot</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>cot</code> UDF function.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#floor-java.lang.String:A-">floor</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>floor</code> UDF function.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#getSupportedNumericFunctions--">getSupportedNumericFunctions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#getSupportedStringFunctions--">getSupportedStringFunctions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#getSupportedSystemFunctions--">getSupportedSystemFunctions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#getSupportedTimeDateFunctions--">getSupportedTimeDateFunctions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#log10-java.lang.String:A-">log10</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>log10</code> UDF function.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#mod-java.lang.String:A-">mod</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>mod</code> UDF function.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#parseArguments-java.lang.String-">parseArguments</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;functionCall)</code>
<div class="block">Extract function arguments from the function call.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#parseFunction-java.lang.String-">parseFunction</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;functionCall)</code>
<div class="block">Extract function name from the function call.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#pi-java.lang.String:A-">pi</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>pi</code> UDF function.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#rand-java.lang.String:A-">rand</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>rand</code> UDF function.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#sign-java.lang.String:A-">sign</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>sign</code> UDF function.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#sin-java.lang.String:A-">sin</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>sin</code> UDF function.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#sqrt-java.lang.String:A-">sqrt</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>sqrt</code> UDF function.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html#tan-java.lang.String:A-">tan</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)</code>
<div class="block">Produce a function call for the <code>tan</tan> UDF function.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBEscapedFunctionHelper--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBEscapedFunctionHelper</h4>
<pre>public&nbsp;FBEscapedFunctionHelper()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="parseFunction-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseFunction</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parseFunction(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;functionCall)
                            throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Extract function name from the function call.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>functionCall</code> - escaped function call.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name of the function.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if parse error occurs.</dd>
</dl>
</li>
</ul>
<a name="parseArguments-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseArguments</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;parseArguments(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;functionCall)
                                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Extract function arguments from the function call. This method parses
 escaped function call string and extracts function parameters from it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>functionCall</code> - escaped function call.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of parameters of the function.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if parse error occurs.</dd>
</dl>
</li>
</ul>
<a name="convertTemplate-java.lang.String-org.firebirdsql.jdbc.escape.FBEscapedParser.EscapeParserMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertTemplate</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;convertTemplate(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;functionCall,
                                     <a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedParser.EscapeParserMode.html" title="enum in org.firebirdsql.jdbc.escape">FBEscapedParser.EscapeParserMode</a>&nbsp;mode)
                              throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Convert escaped function call using function template.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>functionCall</code> - escaped function call.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>server-side representation of the function call or <code>null</code>
 if no template found.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if escaped function call has incorrect syntax.</dd>
</dl>
</li>
</ul>
<a name="abs-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>abs</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;abs(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                  throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>abs</code> UDF function.
 The syntax of the <code>abs</code> function is
 <code>{fn abs(number)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="acos-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acos</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;acos(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>acos</code> UDF function.
 The syntax of the <code>acos</code> function is
 <code>{fn acos(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="asin-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asin</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;asin(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>asin</code> UDF function.
 The syntax of the <code>asin</code> function is
 <code>{fn asin(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="atan-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>atan</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;atan(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>atan</code> UDF function.
 The syntax of the <code>atan</code> function is
 <code>{fn atan(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="atan2-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>atan2</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;atan2(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                    throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>atan2</code> UDF function.
 The syntax of the <code>atan2</code> function is
 <code>{fn atan2(float1, float2)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="ceiling-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ceiling</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ceiling(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                      throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>ceiling</code> UDF function.
 The syntax of the <code>ceiling</code> function is
 <code>{fn ceiling(number)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="cos-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cos</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cos(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                  throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>cos</code> UDF function.
 The syntax of the <code>cos</code> function is
 <code>{fn cos(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="cot-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cot</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cot(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                  throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>cot</code> UDF function.
 The syntax of the <code>cot</code> function is
 <code>{fn cot(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="floor-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>floor</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;floor(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                    throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>floor</code> UDF function.
 The syntax of the <code>floor</code> function is
 <code>{fn floor(number)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="log10-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>log10</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;log10(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                    throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>log10</code> UDF function.
 The syntax of the <code>log10</code> function is
 <code>{fn log10(number)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="mod-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mod</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;mod(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                  throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>mod</code> UDF function.
 The syntax of the <code>mod</code> function is
 <code>{fn mod(integer1, integer2)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="pi-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pi</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pi(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                 throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>pi</code> UDF function.
 The syntax of the <code>pi</code> function is <code>{fn pi()}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="rand-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rand</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rand(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>rand</code> UDF function.
 The syntax for the <code>rand</code> function is
 <code>{fn rand()}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="sign-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sign</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sign(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>sign</code> UDF function.
 The syntax for the <code>sign</code> function is
 <code>{fn sign(number)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="sin-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sin</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sin(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                  throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>sin</code> UDF function.
 The syntax for the <code>sin</code> function is
 <code>{fn sin(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="sqrt-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sqrt</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sqrt(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                   throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>sqrt</code> UDF function.
 The syntax for the <code>sqrt</code> function is
 <code>{fn sqrt(number)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="tan-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tan</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tan(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;params)
                  throws <a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></pre>
<div class="block">Produce a function call for the <code>tan</tan> UDF function.
 The syntax for the <code>tan</code> function is
 <code>{fn tan(float)}</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>params</code> - The parameters to be used in the call</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/jdbc/escape/FBSQLParseException.html" title="class in org.firebirdsql.jdbc.escape">FBSQLParseException</a></code> - if there is an error with the parameters</dd>
</dl>
</li>
</ul>
<a name="getSupportedNumericFunctions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSupportedNumericFunctions</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getSupportedNumericFunctions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of JDBC numeric functions supported (as defined in appendix D.1 of JDBC 4.1)</dd>
</dl>
</li>
</ul>
<a name="getSupportedStringFunctions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSupportedStringFunctions</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getSupportedStringFunctions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of JDBC string functions supported (as defined in appendix D.2 of JDBC 4.1)</dd>
</dl>
</li>
</ul>
<a name="getSupportedTimeDateFunctions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSupportedTimeDateFunctions</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getSupportedTimeDateFunctions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of JDBC time and date functions supported (as defined in appendix D.3 of JDBC 4.1)</dd>
</dl>
</li>
</ul>
<a name="getSupportedSystemFunctions--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSupportedSystemFunctions</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getSupportedSystemFunctions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Set of JDBC system functions supported (as defined in appendix D.4 of JDBC 4.1)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedCallParser.html" title="class in org.firebirdsql.jdbc.escape"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jdbc/escape/FBEscapedParser.html" title="class in org.firebirdsql.jdbc.escape"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jdbc/escape/FBEscapedFunctionHelper.html" target="_top">Frames</a></li>
<li><a href="FBEscapedFunctionHelper.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
